<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>A method body in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7a9c52214f8f3c5d1c126b18b2ad77b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#a7a9c52214f8f3c5d1c126b18b2ad77b9">MethodBody</a> ()</td></tr>
<tr class="separator:a7a9c52214f8f3c5d1c126b18b2ad77b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e4682f07f1fe674380913a62e1699c4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#a8e4682f07f1fe674380913a62e1699c4">AddStatement</a> (<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a> statement)</td></tr>
<tr class="separator:a8e4682f07f1fe674380913a62e1699c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5becaf4bb07582320be52aa35d09b57"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#ae5becaf4bb07582320be52aa35d09b57">AddStatements</a> (params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a>[] statements)</td></tr>
<tr class="separator:ae5becaf4bb07582320be52aa35d09b57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07794e5ec4b5cd06873c58a7107af029"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#a07794e5ec4b5cd06873c58a7107af029">AddStatements</a> (IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a> &gt; statements)</td></tr>
<tr class="separator:a07794e5ec4b5cd06873c58a7107af029"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:ab905792e2a7b46558454ae5cefde9771"><td class="memItemLeft" align="right" valign="top">IReadOnlyList&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#ab905792e2a7b46558454ae5cefde9771">Statements</a><code> [get]</code></td></tr>
<tr class="memdesc:ab905792e2a7b46558454ae5cefde9771"><td class="mdescLeft">&#160;</td><td class="mdescRight">Statements in the method  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#ab905792e2a7b46558454ae5cefde9771">More...</a><br /></td></tr>
<tr class="separator:ab905792e2a7b46558454ae5cefde9771"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >A method body in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7a9c52214f8f3c5d1c126b18b2ad77b9" name="a7a9c52214f8f3c5d1c126b18b2ad77b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a9c52214f8f3c5d1c126b18b2ad77b9">&#9670;&nbsp;</a></span>MethodBody()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody.MethodBody </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8e4682f07f1fe674380913a62e1699c4" name="a8e4682f07f1fe674380913a62e1699c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e4682f07f1fe674380913a62e1699c4">&#9670;&nbsp;</a></span>AddStatement()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody.AddStatement </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a>&#160;</td>
          <td class="paramname"><em>statement</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a07794e5ec4b5cd06873c58a7107af029" name="a07794e5ec4b5cd06873c58a7107af029"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07794e5ec4b5cd06873c58a7107af029">&#9670;&nbsp;</a></span>AddStatements() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody.AddStatements </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a> &gt;&#160;</td>
          <td class="paramname"><em>statements</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5becaf4bb07582320be52aa35d09b57" name="ae5becaf4bb07582320be52aa35d09b57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5becaf4bb07582320be52aa35d09b57">&#9670;&nbsp;</a></span>AddStatements() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html">MethodBody</a> xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody.AddStatements </td>
          <td>(</td>
          <td class="paramtype">params <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a>[]&#160;</td>
          <td class="paramname"><em>statements</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="ab905792e2a7b46558454ae5cefde9771" name="ab905792e2a7b46558454ae5cefde9771"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab905792e2a7b46558454ae5cefde9771">&#9670;&nbsp;</a></span>Statements</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IReadOnlyList&lt;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html">Statement</a>&gt; xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody.Statements</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Statements in the method </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_method_body_8cs.html">MethodBody.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
